package com.dsk.system.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 客户信息表(Customer)实体类
 *
 * @author makejava
 * @since 2023-05-16 09:27:55
 */
@Data
@TableName("customer")
public class Customer implements Serializable {
    private static final long serialVersionUID = 824383302173350532L;

    private String customerId;
    /**
     * jsk企业id
     */
    private Integer companyId;
    /**
     * 客户名称（企业名称）
     */
    private String companyName;
    /**
     * 法定代表人
     */
    private String legalPerson;
    /**
     * 注册资本(字符串)
     */
    private String registerCapitalStr;
    /**
     * 注册资本
     */
    private Double registerCapital;
    /**
     * 企业性质（company_nature_type）
     */
    private String companyNature;
    /**
     * 企业级别（company_level_type）
     */
    private String companyLevel;
    /**
     * 信用等级（credit_level_type）
     */
    private String creditLevel;
    /**
     * 上级公司（控股单位）
     */
    private String superCompany;
    /**
     * 是否上市 0：否 1：是
     */
    private Integer isOn;
    /**
     * 是否主要客户 0：否 1：是
     */
    private Integer isMajor;
    /**
     * 发包属性
     */
    private String companyAttribute;
    /**
     * 主要业务
     */
    private String mainBusiness;
    /**
     * 经营范围
     */
    private String businessScope;
    /**
     * 最后跟进时间
     */
    private Date lastFollowTime;

    private Long createId;

    private Date createTime;

    private Long updateId;

    private Date updateTime;


}
